## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global modname rust_update_set
%global srcname %{py_dist_name %modname}

Name:           python-%{srcname}
Version:        0.0.1
Release:        %autorelease
Summary:        A tool to help Fedora packagers update Rust packages

License:        MIT
URL:            https://pagure.io/fedora-rust/rust-update-set
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

# proposed patch to port from removed rust2rpm APIs to cargo2rpm
# https://pagure.io/fedora-rust/rust-update-set/pull-request/11
# FIXME: likely an incomplete port, it just makes the tests pass
Patch:          %{url}/pull-request/11.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
rust-update-set is a Fedora packager tool which tries to automate some common tasks
like:

- recursively check out all packages that need to be updated or missing deps that need to be packaged
- preserve changes in old spec file when updating spec file using rust2rpm
- check update compatibility and create packages with suffix when a transitive closure is introduced
- automate parallel COPR builds of sets of packages in dependency order
- chain-build all packages in Koji with requested side tag
- merging and chain-building all packages across release branches
- create compat crate rust-{crate}{older} when updating some packages will break other packages.}

%description %_description


%package -n %{srcname}
Summary:        %{summary}
Requires:       copr-cli

%description -n %{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{modname}


%check
%pytest


%files -n %{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/%{srcname}


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.0.1-11
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.0.1-8
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.0.1-5
- Add proposed patch to port from removed rust2rpm APIs to cargo2rpm

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 0.0.1-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 01 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.1-1
- Initial Fedora package
## END: Generated by rpmautospec
